@echo off
chcp 1252

rem Demo-Kommandos fr "klassisches" AD-Scripting
rem Nils Kaczenski 2010

rem Teil 1: net-Kommandos
rem =====================

rem Alle User anzeigen
net user /domain

rem Details zu einem User ausgeben
net user BarschW /domain

rem Neuen User erzeugen
net user DittoB abc123! /domain /add

rem Neue Gruppe erzeugen
net group GanzNeueGruppe /domain /add

rem Benutzer in Gruppe aufnehmen
net group GanzNeueGruppe DittoB /domain /add


rem Teil 2: csvde und ldifde
rem ========================

rem Export mit csvde.exe
rem (mit effitzientem LDAp-Filter)
csvde -f MeineUser.txt -d "OU=Benutzer,DC=sieben,DC=faq-o-matic,DC=net" -r "(samAccountType=805306368)" -l sAMAccountName,l

rem Import mit ldifde.exe
ldifde -f LDIFKontakt.txt -i


rem Teil 3: ds*-Tools
rem =================

rem Objekt verschieben
dsmove  "CN=Haas\, Nils,OU=EDV,OU=Benutzer,DC=sieben,DC=faq-o-matic,DC=net" -newparent "OU=Vertrieb,OU=Benutzer,DC=sieben,DC=faq-o-matic,DC=net"

rem "Alte" Computer anzeigen
dsquery computer -stalepwd 50

rem "Alte" Computer lschen (Empfehlung: besser OldCmp von joeware.net)
dsquery computer -stalepwd 50|dsrm -noprompt -c


rem Teil 4: AdFind und AdMod
rem ========================

rem Objekt mit Gruppenmitgliedschaft finden
adfind -default -f "(sAMAccountName=NilsAdmin)" name memberOf

rem Neuer Anmeldename
admod -b  "CN=Meyer\, Els,OU=EDV,OU=Benutzer,DC=sieben,DC=faq-o-matic,DC=net" "sAMAccountName::Elsi"

